Skip to main content
PUT
/
compliance
/
rules
/
{id}
Update a monitoring rule
curl --request PUT \
  --url https://olive-gateway-a6ba.onrender.com/api/v1/compliance/rules/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action_on_trigger": "alert",
  "amount_threshold": "<unknown>",
  "daily_transaction_limit": "<unknown>",
  "description": "<unknown>",
  "frequency_threshold": "<unknown>",
  "geolocation_check": true,
  "high_value_alert_threshold": "<unknown>",
  "max_transaction_amount": "<unknown>",
  "min_transaction_amount": "<unknown>",
  "notification_recipient": "<string>",
  "status": "active",
  "suspicious_amount_threshold": "<unknown>"
}
'
{}

Authorizations

Authorization
string
header
required

API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'

Path Parameters

id
integer
required

Monitoring Rule ID

Body

application/json

Updated Rule Details

action_on_trigger
enum<string>
Available options:
alert,
block,
review
amount_threshold
any
daily_transaction_limit
any
description
any
frequency_threshold
any
geolocation_check
boolean
high_value_alert_threshold
any
max_transaction_amount
any
min_transaction_amount
any
notification_recipient
string
status
enum<string>
Available options:
active,
inactive
suspicious_amount_threshold
any

Response

OK

The response is of type object.